import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import React, { Component } from 'react';
import RatingIcons from '@s-ui/react-rating-icons/lib';
import PropTypes from 'prop-types';
import CounterBox from './CounterBox';
import Avatar from './Avatar';

var CardProfile =
/*#__PURE__*/
function (_Component) {
  _inheritsLoose(CardProfile, _Component);

  function CardProfile() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = CardProfile.prototype;

  _proto.render = function render() {
    return React.createElement("div", {
      className: "sui-CardProfile"
    }, React.createElement("div", {
      className: "sui-CardProfile-topContainer"
    }, React.createElement(Avatar, {
      profilePic: this.props.userInfo.profilePic
    }), React.createElement("div", {
      className: "sui-CardProfile-topContainerRatingInfoBox"
    }, React.createElement("span", {
      className: "sui-CardProfile-topContainerRatingInfoBoxName"
    }, this.props.userInfo.username), React.createElement(RatingIcons, {
      iconSize: this.props.iconSize,
      rating: this.props.averageScore,
      maxValue: this.props.maxRatingValue,
      icon: this.props.icon
    }))), React.createElement("div", {
      className: "sui-CardProfile-bottomContainer"
    }, this.props.stats.map(function (stat) {
      return React.createElement(CounterBox, {
        key: stat.label + stat.number,
        number: stat.number,
        label: stat.label,
        link: stat.link
      });
    })));
  };

  return CardProfile;
}(Component);

CardProfile.displayName = 'CardProfile';
export default CardProfile;